> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List documents in a project

> Lists all documents belonging to `projectId`.

Pass `includeCollaborators=true` to include per-document collaborator arrays (requires owner or admin role).

Pass `includeFolders=true` to include folder-type documents in the result.



## OpenAPI

````yaml get /document/all/{projectId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /document/all/{projectId}:
    get:
      tags:
        - Documents
      summary: List documents in a project
      description: >-
        Lists all documents belonging to `projectId`.


        Pass `includeCollaborators=true` to include per-document collaborator
        arrays (requires owner or admin role).


        Pass `includeFolders=true` to include folder-type documents in the
        result.
      operationId: getDocumentsByProjectId
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: projectId
          in: path
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
          required: false
          name: includeCollaborators
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
          required: false
          name: includeFolders
          in: query
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        parentId:
                          type:
                            - string
                            - 'null'
                        projectId:
                          type: string
                        userId:
                          type: string
                        workspaceId:
                          type: string
                        name:
                          type: string
                        type:
                          type: string
                          enum:
                            - FOLDER
                            - FILE
                            - SUBFILE
                            - EXTERNAL
                        description:
                          type: string
                        reference:
                          type: string
                        isPublished:
                          type: boolean
                          example: false
                        publishedSettings:
                          type: object
                          properties:
                            publishedById:
                              type: string
                            publishedAt:
                              type: number
                            styling:
                              type: object
                              additionalProperties:
                                anyOf:
                                  - type: string
                                  - type: boolean
                            domainSlug:
                              type: string
                          required:
                            - publishedById
                            - publishedAt
                        external:
                          type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - PDF
                            resourcePath:
                              type: string
                            resourceId:
                              type: string
                          required:
                            - type
                            - resourcePath
                            - resourceId
                        icon:
                          type: object
                          properties:
                            name:
                              type: string
                            color:
                              type: string
                          required:
                            - name
                            - color
                        emoji:
                          type: object
                          properties:
                            emojiStyle:
                              type: string
                            unified:
                              type: string
                          required:
                            - unified
                        collaborators:
                          type: array
                          items:
                            type: object
                            properties:
                              userId:
                                type: string
                              role:
                                type: string
                                enum:
                                  - owner
                                  - admin
                                  - member
                                  - editor
                                  - viewer
                            required:
                              - userId
                              - role
                        createdAt:
                          type: number
                        updatedAt:
                          type: number
                        isDeleted:
                          type: boolean
                          example: false
                      required:
                        - _id
                        - parentId
                        - projectId
                        - userId
                        - workspaceId
                        - name
                        - type
                        - createdAt
                        - updatedAt
                required:
                  - data
        '401':
          description: 401 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````